Create a tier

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/deals-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Deals API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/deals-api/mcp"
  }
}

Close
POST /deals/{dealId}/tiers

Creates a tier onto a deal using a deal guid.

application/json

Body

object object

Responses

  • 201 application/json

    Successfully created a tier.

  • 400

    Invalid request. See response body for details.

  • 401

    Unauthorized request. See response body for details.

  • 403

    Permission denied. See response body for details.

  • 404 application/json

    Deal not found.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 409 application/json

    Tier already exists.

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • details array[string]
  • 500

    Unknown error. See response body for details.

POST /deals/{dealId}/tiers
curl \
 --request POST 'http://api.example.com/deals/{dealId}/tiers' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":"string (UUID)","name":"string","closePrice":"number (float)","closeDate":"string (date)","statusCode":"string","sellingCommissionAmount":"number (float)","sellingCommissionPercentage":"number (float)","sellingCommissionCalculationMethod":"string","buyingCommissionAmount":"number (float)","buyingCommissionPercentage":"number (float)","buyingCommissionCalculationMethod":"string","classificationId":"string","commissions":[],"externalCommissions":[]}'
Request example
{
  "id": "string (UUID)",
  "name": "string",
  "closePrice": "number (float)",
  "closeDate": "string (date)",
  "statusCode": "string",
  "sellingCommissionAmount": "number (float)",
  "sellingCommissionPercentage": "number (float)",
  "sellingCommissionCalculationMethod": "string",
  "buyingCommissionAmount": "number (float)",
  "buyingCommissionPercentage": "number (float)",
  "buyingCommissionCalculationMethod": "string",
  "classificationId": "string",
  "commissions": [],
  "externalCommissions": []
}
Response examples (201)
{}
Response examples (404)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}
Response examples (409)
{
  "code": 42,
  "message": "string",
  "details": [
    "string"
  ]
}